<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.video.mapper.DsUavMapper">

    <resultMap type="com.ltgk.video.domain.entity.DsUav" id="DsUavMap">
        <result property="id" column="id"/>
        <result property="serialNumber" column="serial_number"/>
        <result property="uavName" column="uav_name"/>
        <result property="uavCode" column="uav_code"/>
        <result property="belongUnit" column="belong_unit"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="manufacturer" column="manufacturer"/>
        <result property="addr" column="addr"/>
        <result property="longitude" column="longitude"/>
        <result property="latitude" column="latitude"/>
        <result property="deployDate" column="deploy_date"/>
        <result property="lastMaintenanceDate" column="last_maintenance_date"/>
        <result property="runStatus" column="run_status"/>
        <result property="uavApiBaseUrl" column="uav_api_base_url"/>
        <result property="uavApiConverterUrl" column="uav_api_converter_url"/>
        <result property="uavApiSendVideoUrl" column="uav_api_send_video_url"/>
        <result property="uavOrgId" column="uav_org_id"/>
        <result property="uavOrgName" column="uav_org_name"/>
        <result property="uavOrgSecret" column="uav_org_secret"/>
        <result property="uavDockModel" column="uav_dock_model"/>
        <result property="uavDockName" column="uav_dock_name"/>
        <result property="uavDockMainSn" column="uav_dock_main_sn"/>
        <result property="uavDockSignSn" column="uav_dock_sign_sn"/>
        <result property="uavDockCode" column="uav_dock_code"/>
        <result property="uavEquipmentModel" column="uav_equipment_model"/>
        <result property="uavEquipmentName" column="uav_equipment_name"/>
        <result property="uavEquipmentSn" column="uav_equipment_sn"/>
        <result property="uavEquipmentCode" column="uav_equipment_code"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>

